Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 27-03-2022 11:26:25

Debian Alain
Membre
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

si vv222 passe , je veux bien de ses conseils ....

pour l'instant , je l'ai épinglé .

amicalement ,

alain .

coyotus.png

Hors ligne

#27 27-03-2022 15:04:25

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

vv222 a écrit :

Mais en contrepartie il est encore pris en charge par dpkg, ce qui n’est pas les cas des systèmes dans lesquels la fusion partielle de / et /usr a été effectuée.


c'est là que .. comment on fait pour savoir ?
je me suis basé là dessus:

Check whether the system needs to be switched, otherwise do nothing,


donc ce script/programme vérifie d'abord si besoin est, sinon ne fait rien...
je me suis dit que sinon j'aurais un blocage dans le dépaquetage de dpkg comme cité par robert dans post 1 ...
J'ai pas épinglé, j'ai vu des petits warning passer que j'ai pas eu le temps de lire, ça reboote, j'ai déja pas le bug du boot ....
est-ce que ça signifie que le programme ne s'est pas déclenché car la fusion usr de mon système est ok ?

Dernière modification par ubub (27-03-2022 15:06:08)

Hors ligne

#28 27-03-2022 16:28:30

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

ah beh je suis fixé:

Paramétrage de dpkg (1.21.4) ...
dpkg: warning: This system uses merged-usr-via-aliased-dirs, goin
g behind dpkg's
dpkg: warning: back, breaking its core assumptions. This can caus
e silent file
dpkg: warning: overwrites and disappearances, and its general too
ls misbehavior.
dpkg: warning: See <https://wiki.debian.org/Teams/Dpkg/FAQ#broken
-usrmerge>.
dpkg-db-backup.service is a disabled or a static unit not running, not starting
it.


..pas de dpkg pris en charge ? pas bon pour le futur ....
..du coup l'idée serait d'utiliser le programme unmess pour défaire la fusion invalide via alias-dir, et d'utiliser usrmerge pour fusionner avec le futur et avoir dpkg ???
j'ai pas usrmerge d'installé, mais j'imagine le script unmess doit être qq part ...

Dernière modification par ubub (27-03-2022 16:33:21)

Hors ligne

#29 27-03-2022 16:35:44

Debian Alain
Membre
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

ubub  a écrit :

Paramétrage de dpkg (1.21.4) ...
dpkg: warning: This system uses merged-usr-via-aliased-dirs, going behind dpkg's
dpkg: warning: back, breaking its core assumptions. This can cause silent file
dpkg: warning: overwrites and disappearances, and its general tools misbehavior.
dpkg: warning: See <https://wiki.debian.org/Teams/Dpkg/FAQ#broken-usrmerge>.
dpkg-db-backup.service is a disabled or a static unit not running, not startingit.
 



tu t'y es pris comment ? tu as rentré quelle commande pour  avoir çà ?

merci .

alain .

coyotus.png

Hors ligne

#30 27-03-2022 16:39:52

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

apt upgrade ....
C'est dans les logs d'apt, c'est les warnings que j'ai vu passer lors de l'upgrade

Hors ligne

#31 27-03-2022 16:47:35

Debian Alain
Membre
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

@ubub ,

tu as installé usrmerge ?

j' avais pas bien vu ...

c'est çà , non ?

alain .

coyotus.png

Hors ligne

#32 27-03-2022 16:50:52

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

non,   j'ai regardé après et vu qu'il était pas présent ...
peut-être (??) pour ça que j'ai eu une fusion à base d'alias de répertoires je ne sais quoi ...

j'ai rien installé, juste fait la mise à jour que j'avais pas utilisé depuis qqtemps,
et j'ai eu l'avertissement de apt-listbug me signalant les bogues sur ***usrunmess,
qui sont des bogues que si on utilise **unmess j'imagine, vu qu'y a des options, le script doit être lancé à mano j'imagine, et non lors de l'upgrade....
après, tout s'est très bien passé, l'ordi fonctionne bien,
j'ai commencé à lire la discussion évoquée par vv222, mais j'avoue avoir laché prise avant les cinq dernières minutes, et du coup j'ai pas vu la fin...
les systèmes non-fusionnés "correctement", c.à.d avec alias-dirs seront encore pris en charge ?
un appel sera lancé pour faire un update usrmerge général ?
waouh, c'était long à suivre comme discussion ...

Dernière modification par ubub (27-03-2022 17:01:22)

Hors ligne

#33 27-03-2022 17:14:02

Debian Alain
Membre
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

ubub  a écrit :

les systèmes non-fusionnés "correctement", c.à.d avec alias-dirs seront encore pris en charge ?
un appel sera lancé pour faire un update usrmerge général ?
waouh, c'était long à suivre comme discussion ...

je dois admettre que j'ai pas suivi grand  chose à la discussion ...
tout en anglais en plus ...  sad  sad  sad

ubub  a écrit :

non,   j'ai regardé après et vu qu'il était pas présent ...
peut-être (??) pour ça que j'ai eu une fusion à base d'alias de répertoires je ne sais quoi ...

ben , je me demande  si tu l'as pas installé à cause de  çà :

dpkg: warning: This system uses merged-usr-via-aliased-dirs, going behind dpkg's


si je traduis :

dpkg : avertissement : ce système utilise des répertoires fusionnés-usr-via-aliasés, derrière ceux de dpkg

Hors ligne

#34 27-03-2022 17:42:05

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

@alain, puisque tu lis pas les pages en anglais,
de ce que j'en comprends, la fusion usr a été tentée depuis buster [..] avec le fameux merged-usr-via-aliases-directories ....Mais cette méthode n'est pas valable ....
... car dpkg ne gère pas de base les liens symboliques et encore moins des alias (??)

Note: dpkg has supported for a long time symlinked directories as a way to allow local admins to manage filesystem size constraints, by moving directories contents into other partitions, but has never supported aliased directories via symlinks pointing to other directories already tracked by dpkg. This approach makes it impossible to know what is the canonical (from dpkg's PoV) pathname for an object just by looking at the filesystem, so it is trivial for users use the wrong one. One of the reasons for this approach was to make a migration quick


d'où ils ont sortis ce script unmess pour tout redefaire ?? scratchhead.gif  peace_flag.gif

Dernière modification par ubub (27-03-2022 17:46:21)

Hors ligne

#35 27-03-2022 17:58:02

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

si je traduis :
dpkg : avertissement : ce système utilise des répertoires fusionnés-usr-via-aliasés


si je traduis, je traduirai plutôt par  :  utilise usr-fusionné via des alias de répertoires

Hors ligne

#36 27-03-2022 19:01:40

Debian Alain
Membre
Lieu : Bretagne
Distrib. : bookworm unstable sid / bullseye (stable)
Noyau : Linux sid 5.17.0-1-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

justement , ubub , dans /var/log/apt/history.log  , j' ai pas retrouvé ton message .

donc , je pense que je ne suis pas dans ton cas .

alain .

coyotus.png

Hors ligne

#37 27-03-2022 19:12:09

ubub
Membre
Distrib. : Debian
(G)UI : xfce
Inscription : 14-05-2019

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

dans /var/log/apt/history.log


c'est pas dans celui là que j'ai regardé, là y'a pas le blabla, que les noms de paquets, mais dans un autre fichier log d'apt nommé term.log .. le seul qu'y a excepté history..

t'as désépinglé dpkg ??

Dernière modification par ubub (27-03-2022 19:49:47)

Hors ligne

#38 27-03-2022 20:01:02

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.15 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : dpkg: warning: System unsupported due to merged-usr-via-aliased-dirs.

C’est ma dernière intervention dans ce fil, parce que j’ai l’impression de parler dans le vide.

Si vous ne comprenez pas la situation actuelle avec dpkg et merged-/usr (spoiler : vous ne la comprenez pas) :
- n’installez pas usrmerge
- ne lancez pas dpkg-fsys-usrunmess
- suivez les instructions des notes de mise-à-jour de Debian au fil de la sortie des versions stables (même si vous êtes sur Sid)

Pour rappel, ce sujet était déjà présenté dans les notes de mise-à-jour Buster → Bullseye : Composants dépréciés pour Bullseye.

Jouer sous Debian ? Facile !

Hors ligne

Pied de page des forums